karaf-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Kevin O'Toole (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (KARAF-4636) karaf.secured.command.compulsory.roles does not work
Date Mon, 25 Jul 2016 21:30:20 GMT

     [ https://issues.apache.org/jira/browse/KARAF-4636?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Kevin O'Toole updated KARAF-4636:
---------------------------------
    Fix Version/s: 4.0.6
                   4.1.0

> karaf.secured.command.compulsory.roles does not work
> ----------------------------------------------------
>
>                 Key: KARAF-4636
>                 URL: https://issues.apache.org/jira/browse/KARAF-4636
>             Project: Karaf
>          Issue Type: Bug
>          Components: karaf-security
>    Affects Versions: 4.0.1, 4.0.2, 4.0.3, 4.0.4, 4.0.5
>            Reporter: Kevin O'Toole
>            Priority: Critical
>             Fix For: 4.1.0, 4.0.6
>
>
> The karaf.secured.command.compulsory.roles property in system.properties does not work
in Karaf [4.0.1, 4.0.5].
> It does work in Karaf [3.0.5, 3.0.7].
> Easy way to test this is modify users.properties with the following:
> {noformat}
> viewer = karaf,_g_:viewergroup
> _g_\:viewergroup = group,viewer
> {noformat}
> And then add {noformat}
> karaf.secured.command.compulsory.roles=admin
> {noformat}
> to system.properties.
> If you log in as viewer, Karaf will allow the execution of commands that do not have
ACL defined.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message